GWT 2.7.0

## com.google.gwt.core.ext.soyc
Class SourceNameComparator

    java.lang.Object
      com.google.gwt.core.ext.soyc.SourceNameComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<Member>

     class SourceNameComparator

extends java.lang.Object
implements java.util.Comparator<Member>, java.io.Serializable

This is a top-level type so that we can serialize any TreeMaps that happen to use `Member.SOURCE_NAME_COMPARATOR`.

Constructor Summary
`SourceNameComparator()`

Method Summary
`int` | `compare(Member o1, Member o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SourceNameComparator

    SourceNameComparator()

Method Detail

### compare

    public int compare(Member o1,
                       Member o2)

  Specified by:
    `compare` in interface `java.util.Comparator<Member>`

GWT 2.7.0